Skip to content

List group based on filters.

GET
/api/scim/namespaces/system/v2/Groups
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Groups \
--header 'Authorization: <Authorization>'

List groups based on the given filter.

Examples of this operation.

filter
string

Filter to be used for filtering objects.

count
string format: uint64

The number of entries after filter.

page
string format: uint64

Start offset.

excludedAttributes
Array<string>

Members”]” A multi-valued list of strings indicating the names of resource attributes to be removed from the default set of attributes to return.

A successful response.

Media typeapplication/json
ListGroup;resources

List group objects.

object
Resources
groups

List of available groups.

Array<object>
Group

Group.

object
displayName
displayName

Display name for the group.

string
<= 1024 characters
externalId
ExternalId

External ID for the group.

string
<= 1024 characters
id
id

Unique ID for the group.

string
>= 1 <= 4094 <= 1024 characters
members
GroupMembers

Users with unique ID.

Array<object>
GroupMembers

GroupMembers.

object
ref
$ref

URL of the users or groups.

string
<= 1024 characters
value
value

Unique ID of the users or groups.

string
>= 3 characters <= 1024 characters
meta
object
created
created

Create date. Required: YES.

string
<= 1024 characters
lastModified
lastModified

Last modification date and time. Required: YES.

string
<= 1024 characters
location
location

[x-required] location for resource.

string
>= 4 characters <= 1024 characters
resourceType
resourceType

Type of resource. Required: YES.

string
<= 1024 characters
version
version

Version for resource type. Required: YES.

string
>= 1 characters <= 1024 characters
name
Name

Display name for the group.

string
>= 6 characters <= 1024 characters
schemas
schemas

Schemas per scim spec.

Array<string>
itemsPerPage
itemsPerPage

ItemsPerPage The number of resources returned in a list response page

Required: YES.

string format: uint64
<= 1024 characters
schemas
schemas

Schema defined as per scim spec.

Array<string>
startIndex
startIndex

StartIndex The 1-based index of the first result in the current set of list results.

Required: YES.

string format: uint64
<= 1024 characters
totalResults
id

TotalGroup objects available.

string format: uint64
<= 1024 characters
Examplegenerated
{
"Resources": [
{
"displayName": "example",
"externalId": "example",
"id": "example",
"members": [
{
"ref": "example",
"value": "example"
}
],
"meta": {
"created": "example",
"lastModified": "example",
"location": "example",
"resourceType": "example",
"version": "example"
},
"name": "example",
"schemas": [
"example"
]
}
],
"itemsPerPage": "example",
"schemas": [
"example"
],
"startIndex": "example",
"totalResults": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example